from django.urls import path, include
from rest_framework.routers import DefaultRouter
from .views import (
    CategoryViewSet, ProjectViewSet, CouponViewSet, BannerViewSet, StudentViewSet, StudentCouponViewSet, UserProfileView, UserCouponsView,
    ActivityViewSet, ShowcaseViewSet, ExamViewSet, StudentHonorViewSet, StudentLevelViewSet,
    CourseRegistrationViewSet, ActivityRegistrationViewSet, ExamRegistrationViewSet
)

router = DefaultRouter()
router.register(r'categories', CategoryViewSet)
router.register(r'projects', ProjectViewSet)
router.register(r'coupons', CouponViewSet)
router.register(r'banners', BannerViewSet)
router.register(r'students', StudentViewSet)
router.register(r'student-coupons', StudentCouponViewSet)
router.register(r'activities', ActivityViewSet)
router.register(r'showcases', ShowcaseViewSet)
router.register(r'exams', ExamViewSet)
router.register(r'student-honors', StudentHonorViewSet)
router.register(r'student-levels', StudentLevelViewSet)
router.register(r'course-registrations', CourseRegistrationViewSet)
router.register(r'activity-registrations', ActivityRegistrationViewSet)
router.register(r'exam-registrations', ExamRegistrationViewSet)

urlpatterns = [
    path('', include(router.urls)),
    path('user', UserProfileView.as_view()),
    path('user-coupons', UserCouponsView.as_view()),
]
